Name:		crack-attack
Summary:	Tetris like game
Version:	1.1.14
Release:	%mkrel 3
Url:		http://www.nongnu.org/crack-attack/
Source0:	http://savannah.nongnu.org/download/crack-attack/%{name}-%{version}.tar.xz
Source11:	%{name}-48.png
Source12:	%{name}-32.png
Source13:	%{name}-16.png
Source4:	crack-attack-scripts.tar.bz2
Source5:	crack-attack-1.1.10-man6-page.bz2
Patch0:		crack-attack-1.1.14-fix-str-fmt.patch
Patch3:		crack-attack-1.1.14-dont-segfault-i865g.patch
Patch4:     	crack-attack-1.1.14-ipv6-patch
Patch5:         crack-attack-1.1.14-gcc43.patch
Patch6:		crack-attack-1.1.14-freeglut-init.patch
Patch7:		crack-attack-1.1.14-automake-1.13.patch
Group:		Games/Arcade
License:	GPL
BuildRequires: %{_lib}mesagl1-devel 
BuildRequires: %{_lib}SDL_mixer1.2-devel 
BuildRequires: %{_lib}SDL-devel
BuildRequires: freeglut-devel
BuildRequires:	autoconf 
BuildRequires: %{_lib}gtk+2.0_0-devel
Requires: zenity
Requires:	crack-attack-music
Requires:	crack-attack-sounds
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
'Crack Attack!' is a free OpenGL game
based on the Super Nintendo classic Tetris Attack.

%prep
%setup -q -a 4
%patch0 -p0 -b .str
%patch3 -p0 -b .seg
%patch4 -p0
%patch5 -p1 -b .gcc43
%patch6 -p1
%patch7 -p1 -b .automake-1_13
bzcat %{SOURCE5} > doc/crack-attack.6

perl -pi -e "s|^CXXFLAGS.*|CXXFLAGS = $RPM_OPT_FLAGS -DNDEBUG|" src/Makefile*

%build
autoreconf -fi
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--enable-sound
%make

%install
rm -rf %{buildroot}

%makeinstall_std

install -D -m 755 crack-attack-{solo,create-server,join-server} %{buildroot}%{_gamesbindir}/

install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

rm -rf %{buildroot}%{_mandir}/man1/crack-attack.1
install -m644 doc/crack-attack.6 -D %{buildroot}%{_mandir}/man6/crack-attack.6

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Crack Attack!
Exec=%{_gamesbindir}/%{name}
Icon=crack-attack
Terminal=false
Type=Application
Categories=ArcadeGame;Game;X-MandrivaLinux-MoreApplications-Games-Arcade;
StartupNotify=false
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/*.html doc/*.jpg
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-*
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_mandir}/man6/*


%changelog
* Fri Dec 05 2014 bb <bb> 1.1.14-3pclos2104
- patch and rebuild

* Tue Oct 05 2011 Archie <pclinuxos.ph at gmail.com> 1.1.14-2pclos2011
- Rebuild for x86_64

* Thu Jun 03 2010 Texstar <texstar at gmail.com> 1.1.14-1pclos2010
- update for 2010 release

